<?php
/**
 * @package		JComments
 * @copyright	Copyright (C) 2012 Mijosoft LLC. All rights reserved.
 * @license		GNU/GPL
 */

class ElementItemJCommentsLink extends Element {

	public function hasValue($params = array()) {
		return true;
	}

	public function edit() {
		return null;
	}

	public function render($params = array()) {
		jimport('joomla.filesystem.file');
		$jcomments = JPATH_SITE . '/components/com_jcomments/jcomments.php';

		// render html
		if (!empty($this->_item) && JFile::exists($jcomments)) {
			require_once($jcomments);

			$params = $this->app->data->create($params);
			$comment_count = JComments::getCommentsCount($this->_item->id, 'com_zoo');

			if ($comment_count == 0) {
				$text = $params->get('no_comments_text', JText::_('Leave Comment'));
			} else if ($comment_count == 1) {
				$text = sprintf($params->get('single_comment_text', JText::_('View Comments (%s)')), 1);
			} else {
				$text = sprintf($params->get('multiple_comments_text', JText::_('View Comments (%s)')), $comment_count);
			}

            if ($this->_item->getState()) {
                return '<a href="' . $this->app->route->item($this->_item).'#comments">' . $text . '</a>';
            }
			else {
                return $text;
            }
		}
	}
}
